Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeContext.EventListenerMememto

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.EventListenerMememto

Direct Known Subclasses:
  SVG12BridgeContext.ImplementationEventListenerMememto

Enclosing class:
  BridgeContext

    protected static class BridgeContext.EventListenerMememto

extends Object

A class used to store an EventListener added to the DOM.

Field Summary
`String` | `eventType`
`SoftReference` | `listener`
`boolean` | `namespaced`
`String` | `namespaceURI`
`SoftReference` | `target`
`boolean` | `useCapture`

Constructor Summary
`BridgeContext.EventListenerMememto(EventTarget t, String s, EventListener l, boolean b, BridgeContext ctx)`
`BridgeContext.EventListenerMememto(EventTarget t, String n, String s, EventListener l, boolean b, BridgeContext ctx)`

Method Summary
`String` | `getEventType()`
`EventListener` | `getListener()`
`boolean` | `getNamespaced()`
`String` | `getNamespaceURI()`
`NodeEventTarget` | `getTarget()`
`boolean` | `getUseCapture()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public SoftReference target

### listener

    public SoftReference listener

### useCapture

    public boolean useCapture

### namespaceURI

    public String namespaceURI

### eventType

    public String eventType

### namespaced

    public boolean namespaced

Constructor Detail

### BridgeContext.EventListenerMememto

    public BridgeContext.EventListenerMememto(EventTarget t,
                                              String s,
                                              EventListener l,
                                              boolean b,
                                              BridgeContext ctx)

### BridgeContext.EventListenerMememto

    public BridgeContext.EventListenerMememto(EventTarget t,
                                              String n,
                                              String s,
                                              EventListener l,
                                              boolean b,
                                              BridgeContext ctx)

Method Detail

### getListener

    public EventListener getListener()

### getTarget

    public NodeEventTarget getTarget()

### getUseCapture

    public boolean getUseCapture()

### getNamespaceURI

    public String getNamespaceURI()

### getEventType

    public String getEventType()

### getNamespaced

    public boolean getNamespaced()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.